org.apache.hc.client5.http.impl.auth

## Class NTLMSchemeFactory

- java.lang.Object
- - org.apache.hc.client5.http.impl.auth.NTLMSchemeFactory

All Implemented Interfaces:
  AuthSchemeFactory

Deprecated.
Do not use. the NTLM authentication scheme is no longer supported. Consider using Basic or Bearer authentication with TLS instead.

    @Deprecated
     @Contract(threading=STATELESS)
    public class NTLMSchemeFactory
    extends Object
    implements AuthSchemeFactory

`AuthSchemeFactory` implementation that creates and initializes `NTLMScheme` instances configured to use the default `NTLMEngine` implementation.

Since:
  4.1
See Also:
  `BasicSchemeFactory`, `BearerSchemeFactory`

### Field Summary

Fields
`static NTLMSchemeFactory` `INSTANCE` Deprecated. Singleton instance.

### Constructor Summary

Constructors
Constructor and Description
`NTLMSchemeFactory()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`AuthScheme` `create(HttpContext context)` Deprecated. Creates an instance of `AuthScheme`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final NTLMSchemeFactory INSTANCE

Deprecated.
Singleton instance.

### Constructor Detail

#### NTLMSchemeFactory

    public NTLMSchemeFactory()

Deprecated.

### Method Detail

#### create

    public AuthScheme create(HttpContext context)

Deprecated.
Description copied from interface: `AuthSchemeFactory`
Creates an instance of `AuthScheme`.

Specified by:
  `create` in interface `AuthSchemeFactory`
Returns:
  auth scheme.